Subject: Re: bug#23819: 25.0.95; display botched badly in xterm window

From: Eli Zaretskii <[email-masked]>
Date: Wed, 22 Jun 2016 22:04:32 +0300

> Cc: [email-masked]
> From: Paul Eggert <[email-masked]>
> Date: Wed, 22 Jun 2016 20:55:57 +0200
> 
> All this suggests that the issue is not limited to startup. Possibly 
> there are two issues, one at startup and one later. For example, perhaps 
> Emacs is deducing the incorrect terminal type during startup, or perhaps 
> my (typically Ubuntu) clients are reporting an incorrect terminal type 
> during startup.

I think this might happen if we deduce incorrect xterm version.  Can
you modify xterm.el such that it stores the value of 'version' in
xterm--version-handler in a variable?  Then you could report the
values of that variable when you see the problems and when you don't,
and maybe we will learn something that way.